Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security.auth.login
Class UsernamePasswordLoginModule

    java.lang.Object
      weblogic.security.auth.login.UsernamePasswordLoginModule

All Implemented Interfaces:
  LoginModule

public class UsernamePasswordLoginModule
extends Object
implements LoginModule

`UsernamePasswordLoginModule` is used in a WLS client to authenticate to the WLS server. This LoginModule authenticates users with a username/password. It can be used for both the T3 and IIOP clients. Callers of this module must implement callbacks to pass the username, password, and optional URL for the WLS server. Caller must implement a NameCallback for the username, a PasswordCallback for the username, and a URLCallback for the URL. If no URL is available, then the callback handler should return null for the URLCallback.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`UsernamePasswordLoginModule()`

Method Summary
`boolean` | `abort()` This method is called if the LoginContext's overall authentication failed.
`boolean` | `commit()` This method is called if the LoginContext's overall authentication succeeded (the relevant REQUIRED, REQUISITE, SUFFICIENT and OPTIONAL LoginModules succeeded).
`void` | `initialize(Subject subject, CallbackHandler callbackHandler, Map sharedState, Map options)` Initialize the login module.
`boolean` | `login()` Authenticate the user by username and password passed in
`boolean` | `logout()` Logout the user.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UsernamePasswordLoginModule

    public UsernamePasswordLoginModule()

Method Detail

### abort

    public boolean abort()
                  throws LoginException

  This method is called if the LoginContext's overall authentication failed. If this LoginModule's own authentication attempt succeeded (checked by retrieving the private state saved by the login and commit methods),then this method cleans up any state that was originally saved.

  Specified by:
    `abort` in interface `LoginModule`
  Returns:
    false if this LoginModule's own login and/or commit attempts failed, and true otherwise.
  Throws:
    `LoginException` - if the abort fails.

### commit

    public boolean commit()
                   throws LoginException

  This method is called if the LoginContext's overall authentication succeeded (the relevant REQUIRED, REQUISITE, SUFFICIENT and OPTIONAL LoginModules succeeded). If this LoginModule's own authentication attempted failed, then this method removes any state that was originally saved.

  Specified by:
    `commit` in interface `LoginModule`
  Returns:
    true if this LoginModule's own login and commit attempts succeeded, or false otherwise.
  Throws:
    `LoginException` - if the commit fails.

### initialize

    public void initialize(Subject subject,
                           CallbackHandler callbackHandler,
                           Map sharedState,
                           Map options)

  Initialize the login module.

  Specified by:
    `initialize` in interface `LoginModule`
  Parameters:
    `subject` - Subject to contain principals returned from WLS server.
    `callbackHandler` - CallbackHandler containing Name, Password, and URL callbacks.
    `sharedState` - Map used to share state among different login modules. This is not used by this login module.
    `options` - Map used to specify options to this login module. Supported options debug and URL. The debug option can be used to display additional debugging information. The URL option can be used instead of the URL callback.

### login

    public boolean login()
                  throws LoginException

  Authenticate the user by username and password passed in

  Specified by:
    `login` in interface `LoginModule`
  Returns:
    true in all cases
  Throws:
    `FailedLoginException` - if the authentication fails.
    `LoginException` - if this LoginModule is unable to perform the authentication.

### logout

    public boolean logout()
                   throws LoginException

  Logout the user.

  Specified by:
    `logout` in interface `LoginModule`
  Returns:
    true in all cases since this LoginModule should not be ignored.
  Throws:
    `LoginException` - if the logout fails.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD